syms X theta f p0 R E I G S S1 P p u;

% dfinition de N(theta), T(theta) et M(theta)
T=X*cos(theta)-f/2*sin(theta);
N=X*sin(theta)+f/2*cos(theta)-R*p0;
M=-R*X*sin(theta)+f*R/2*(1-cos(theta));

% dfinition de l'nergie.
W=R*(1/(E*I)*int(M^2,theta,0,pi/2)+1/(G*S1)*int(T^2,theta,0,pi/2)+1/(E*S)*int(N^2,theta,0,pi/2));

% leve de l'hyperstaticit.
X0=solve(diff(W,X),'X');

% calcul du dplacement du point d'application de la force f.
% mthode 1 (on drive, puis on remplace ; la plus rapide);
lambda=subs(diff(W,f),X,X0);
% mthode 2 (on remplace, puis on drive);
lambdabis=diff(subs(W,X,X0),f);

% vrification de l'galit des deux dplacements.
disp('vrification de l''galit des deux dplacements');
disp(simplify(lambda-lambdabis));

%Premire application.
lambdaA=subs(lambda,{p0,f},{0,-P});
lambdaA=limit(limit(lambdaA,S1,inf),S,inf);
disp('Premire application');
pretty(simplify(lambdaA));

%Seconde application.
lambdaB=subs(lambda,{p0,f},{p,0});
disp('Seconde application');
disp('Rsultat total');
pretty(simplify(lambdaB));
lambdaB1=limit(limit(lambdaB,S1,inf),S,inf);
disp('Rsultat en ngligeant N et T');
pretty(simplify(lambdaB1));
lambdaB2=limit(lambdaB,S1,inf);
disp('Rsultat en ne ngligeant que T');
pretty(simplify(lambdaB2));
disp('Rsultat en ne ngligeant que T et avec S ''grand''');
lambdaB3=taylor(subs(lambdaB2,S,1/u),2,u);
lambdaB3=simplify(subs(lambdaB3,u,1/S));
pretty(lambdaB3);

